<?php
ini_set("display_errors",0);
error_reporting(E_ALL);
/**
 *
 * @package	    CardStream Module
 * @subpackage	CardStream Module
 * @version     1.0.0
 * @description CardStream Module
 * @copyright	  Copyright © 2013 - All rights reserved.
 * @license		  GNU General Public License v2.0
 * @author		  SoftPill.Eu
 * @author mail	mail@softpill.eu
 * @website		  www.softpill.eu
 *
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
if (!defined('DS')) {
	define('DS', DIRECTORY_SEPARATOR);
}
if (!function_exists('getCardStreamDomain'))
{
function getCardStreamDomain()
{
  $domain=str_ireplace("www.","",$_SERVER['HTTP_HOST']);
  if(($domain+0)>0)
  {
    return false;
  }
  return $domain;
}
}
if (!function_exists('setCardStreamModParams'))
{
function setCardStreamModParams($param_array,$module_id)
{
  if ( count($param_array) > 0 )
  {
    $db = JFactory::getDbo();
    $db->setQuery('SELECT params FROM #__modules WHERE id = '.$module_id);
    $params1 = json_decode( $db->loadResult(), true );
    foreach ( $param_array as $name => $value )
    {
      $params1[ (string) $name ] = (string) $value;
    }
    $params1String = json_encode( $params1 );
    $db->setQuery('UPDATE #__modules SET params = ' .
    $db->quote( $params1String ) .
    ' WHERE id = '.$module_id);
    $db->query();
  }
}
}
if (!function_exists('getCardStreamModParams'))
{
function getCardStreamModParams($module_id)
{
  $db = JFactory::getDbo();
  $db->setQuery('SELECT params FROM #__modules WHERE id = '.$module_id);
  $params1 = json_decode( $db->loadResult(), true );
  return $params1;
}
}
if (!function_exists('CardStreamModCheckLicense'))
{
function CardStreamModCheckLicense($lic,$module)
{
  $the_domain=getCardStreamDomain();
  if(!$the_domain)
  {
    return;
  }
  $checkurl='http://www.softpill.eu/check_complic.php?comp=simplecardstream&h='.$the_domain.'&lic='.$lic;
  if (!function_exists('curl_init'))
  {
    $output=@file_get_contents($checkurl);
    $the_domain=getCardStreamDomain();
    if($output==$the_domain)
    {
      $ok = 1;
    }
  }
  else
  {
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $checkurl);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    
    $output = curl_exec($ch);
    curl_close($ch);
    $the_domain=getCardStreamDomain();
    if($output==$the_domain)
    {
      $ok = 1;
    }
  }
  
  $application = JFactory::getApplication();
  if(@$ok==1)
  {
    $chk=md5($lic.$the_domain);
    setCardStreamModParams(array('dchk'=>$chk,'cardstreamlic'=>$lic),$module->id);
    $application->enqueueMessage(JText::_( 'SCS_MODULE_LICENSE_OK' ), 'success');
  }
  else
  {
    setCardStreamModParams(array('cardstreamlic'=>'','dchk'=>''),$module->id);
    $application->enqueueMessage(JText::_( 'SCS_MODULE_LICENSE_ERR_BAD' ), 'error');
  }
}
}

$params1  = getCardStreamModParams($module->id);
$lic=@$params1['cardstreamlic'];
if($params->get('cardstreamlic')!=$lic)
{
  setCardStreamModParams(array('cardstreamlic'=>$params->get('cardstreamlic')),$module->id);
  $lic=$params->get('cardstreamlic');
}
$application = JFactory::getApplication();
if($lic=="")
{
  $application->enqueueMessage(JText::_( 'SCS_MODULE_LICENSE_ERR' ), 'error');
  setCardStreamModParams(array('cardstreamlic'=>'','dchk'=>''),$module->id);
}
else
{
  $dchk=@$params1['dchk'];
  if($dchk=='')
  {
    CardStreamModCheckLicense($lic,$module);
  }
  else
  {
    $the_domain=getCardStreamDomain();
    $chk=md5($lic.$the_domain);
    if($chk!=$dchk && $the_domain)//check
    {
      setCardStreamModParams(array('cardstreamlic'=>'','dchk'=>''),$module->id);
      $application->enqueueMessage(JText::_( 'SCS_MODULE_LICENSE_ERR_BAD' ), 'error');
    }
  }
}

require_once(dirname(__FILE__).DIRECTORY_SEPARATOR.'helper.php');
require(JModuleHelper::getLayoutPath('mod_simplecardstream'));
?>